{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load static %}


{% block title %}Checkout{% endblock %}

{% block content %}


    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-3 col-lg-offset-3 text-center">
                <h2>Price of a Cookie <b>${{ price }}</b></h2>
                <h3>Amount of Cookies: <i><b>{{ amount }}</b></i></h3>
                <h1>Total: ${{ total }}</h1>
                {% for e in cookies %}
                    <img src="{% static 'pictures/cookie.png' %}" width="50" alt="">
                {% endfor %}
            </div>
        <div class="col-lg-3  text-center card credit-card">

            {% if messages %}
                    {% for message in messages %}
                        <div class="alert alert-block alert-danger" role="alert">
                            <h4>{{ message }}</h4>
                        </div>
                    {% endfor %}
             {% endif %}
            <form action="{% url 'checkout' amount %}" method="POST">
                {% csrf_token %}
                {{ form | crispy }}
                <button type="submit" id="checkout-button">Pay</button>
            </form>
        </div>
    </div>


{% endblock %}